﻿<%@ Page Language="C#" ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        //This page posts data to AutoConfirm.aspx.  The data is similar to the data Amazon posts in a SNS SubscriptionConfirmation message.
        //Use this page to test AutoConfirm.aspx without setting up a Topic and Subscription in Amazon.


        //Build the URL to AutoConfirm.aspx.
        String MyURL;

        if (Request.ServerVariables["HTTPS"] == "on")
        {
            MyURL = "https://";
        }
        else
        {
            MyURL = "http://";
        }
        
        MyURL += Request.ServerVariables["SERVER_NAME"];

        if (Request.ServerVariables["SERVER_PORT"] != "80" && Request.ServerVariables["SERVER_PORT"] != "443")
        {
            MyURL += ":" + Request.ServerVariables["SERVER_PORT"];
        }

        MyURL += Request.ServerVariables["SCRIPT_NAME"];

        MyURL = MyURL.Substring(0, MyURL.LastIndexOf("/") + 1);

        MyURL += "AutoConfirm.aspx";


        //Create the message to send to AutoConfirm.aspx.
        String PostString = "";
        PostString += "{" + (char)10;
        PostString += "  \"Type\" : \"SubscriptionConfirmation\"," + (char)10;
        PostString += "  \"MessageId\" : \"88c52a94-49d3-11a8-9372-263e123c049a\"," + (char)10;
        PostString += "  \"Token\" : \"2336412f37fb687f5d51e6e241d3b4d5c57b30267d20daa537943491879ac709e4b9ce285d59b1a6f3d195d0786ba3e4315344f1caf182190a70fcae7cf7eeee08c07f5ea0b8601f5ab760df9b7b51834782b3e464ae2fc554d802f02129532aff4ad870abaafd4ed9a46674deef9d3b\"," + (char)10;
        PostString += "  \"TopicArn\" : \"arn:aws:sns:us-east-1:356257215992:testsubscription\"," + (char)10;
        PostString += "  \"Message\" : \"You have chosen to subscribe to the topic arn:aws:sns:us-east-1:356257215992:testsubscription.\\nTo confirm the subscription, visit the SubscribeURL included in this message.\"," + (char)10;
        PostString += "  \"SubscribeURL\" : \"https://sns.us-east-1.amazonaws.com/?Action=ConfirmSubscription&TopicArn=arn:aws:sns:us-east-1:356257215992:testsubscription&Token=2336412f37fb687f5d51e6e241d3b4d5c57b30267d20daa537943491879ac709e4b9ce285d59b1a6f3d195d0786ba3e4315344f1caf182190a70fcae7cf7eeee08c07f5ea0b8601f5ab760df9b7b51834782b3e464ae2fc554d802f02129532aff4ad870abaafd4ed9a46674deef9d3b\"," + (char)10;
        PostString += "  \"Timestamp\" : \"2011-04-16T19:52:10.480Z\"," + (char)10;
        PostString += "  \"SignatureVersion\" : \"1\"," + (char)10;
        PostString += "  \"Signature\" : \"FakLER4+Pju5wEwH6RLuDRY3KWn6A1GtJTd0mGL4T4WW2CxrnP/N1L16SQgWPJWF2d68vE8HYBAAz1jf32pN+Q9V4QhUV8RucUR1IlqI47eSQql9yJ5JMsTQNiR0irS12y/l+O1YESPyJ2F9eBN/MhFiAprEEMiHtnybNjAm3GM=\"," + (char)10;
        PostString += "  \"SigningCertURL\" : \"https://sns.us-east-1.amazonaws.com/SimpleNotificationService-f3ecfb7224c7233fe7bb5f59f96de52f.pem\"" + (char)10;
        PostString += "}";


        System.Net.WebClient MyWebClient = new System.Net.WebClient();
        MyWebClient.Headers.Add("Content-Type", "text/plain; charset=ISO-8859-1");

        //Post the message to AutoConfirm.aspx.
        String ResponseString;
        ResponseString = MyWebClient.UploadString(MyURL, PostString);
        
        //Write the response from AutoConfirm.aspx.
        Response.Write(MyURL);
        Response.Clear();
        Response.Write("MyURL = " + MyURL + "<br>");
        Response.Write("ResponseString = " + ResponseString + "<br>");
        Response.End();
        
    }

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
    </form>
</body>
</html>
